#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'save_file/module/save_file.rb' # This will also pull in constants.rb

# =========================================================================== #
# === append_what_into
#
# A wrapper over the save functionality above. Currently we do not
# make use of the permission bits, but this may change at a later
# time.
#
# For this to work, we need to require the SaveFile module.
#
# Usage example:
#   append_what_into()
# =========================================================================== #
def append_what_into(
    what              = "Testing.\n",
    into_where        = 'default.txt',
    permission_to_use = SaveFile::DEFAULT_PERMISSION_TO_USE
  )
  ::SaveFile.append_what_into(what, into_where, permission_to_use)
end; alias append_what_to           append_what_into # === append_what_to
     alias append_into              append_what_into # === append_into
     alias append_file              append_what_into # === append_file
     alias append_into_file         append_what_into # === append_into_file
     alias append_what_into_file    append_what_into # === append_what_into_file
     alias append_what_to_this_file append_what_into # === append_what_to_this_file