# -*- encoding: utf-8 -*-
# stub: save_file 1.0.34 ruby lib

Gem::Specification.new do |s|
  s.name = "save_file".freeze
  s.version = "1.0.34"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.27".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-09-15"
  s.description = "\nThis class can be used to save a file in a convenient way,\nby giving you a very simple save-file functionality.\n\nI liked the name 'save_file()' a lot, and I found that I\nwas  needing such a functionality in many of my projects,\nso I made a tiny gem that would do exactly this. Note\nthat the recommended methods are write_what_into() and\nappend_what_into() - at the least for me, this is easy\nto remember.\n\nOf course you can use File.open() or File.new() already\nas-is in block variant, so there is no need to use a \ngem like this one here - but I did not want to have to\ndeal with file permissions or missing files or similar\nall on my own, via the File API that I do not as easily\nremember. So I just wrote an API that is simple enough\nfor my use cases. \n\nUsage examples:\n\n    require 'save_file'\n    save_what_into('test', '/tmp/test.txt')\n\nYou can also use:\n\n    SaveFile.write_what_into(what, into)\n    SaveFile.append_what_into(what, into)\n\nThe main module can be included into a class,\nwhich then will have these methods available.\n\nThis project has no external dependencies, deliberately \nso. It has to remain stand-alone.\n\nVersion 1.0.3 made it more clear when to use save_file()\nand when to use append_into_file().\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/save_file".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\nThis gem, called \"save_file\", can be used to quickly save content\ninto a file. This is easily possible in ruby with File.open {} \nas-is, but I wanted to have this available as a toplevel-method\non module SaveFile.s.required_ruby_version     = '>= '+Roebe.second_most_stable_version_of_ruby\n\nSee the following usage example:\n\n  require 'save_file'\n\n  SaveFile.write_what_into(\"Hello world!\", 'foobar.txt')\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.8".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "This class can be used to save a file in a convenient way, by giving you a very simple save-file functionality.  I liked the name 'save_file()' a lot, and I found that I was  needing such a functionality in many of my projects, so I made a tiny gem that would do exactly this. Note that the recommended methods are write_what_into() and append_what_into() - at the least for me, this is easy to remember.  Of course you can use File.open() or File.new() already as-is in block variant, so there is no need to use a  gem like this one here - but I did not want to have to deal with file permissions or missing files or similar all on my own, via the File API that I do not as easily remember. So I just wrote an API that is simple enough for my use cases.   Usage examples:  require 'save_file' save_what_into('test', '/tmp/test.txt')  You can also use:  SaveFile.write_what_into(what, into) SaveFile.append_what_into(what, into)  The main module can be included into a class, which then will have these methods available.  This project has no external dependencies, deliberately  so. It has to remain stand-alone.  Version 1.0.3 made it more clear when to use save_file() and when to use append_into_file().".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version
end
